# Asterisk Project : Asterisk 13 Function_ENUMLOOKUP

Created by wikibot on Aug 08, 2014

# ENUMLOOKUP()

### Synopsis

General or specific querying of NAPTR records for ENUM or ENUM-like DNS pointers.

### Description

For more information see `doc/AST.pdf`.

### Syntax

    ENUMLOOKUP(number,method-type,options,record#,zone-suffix)

##### Arguments

- `number`
- `method-type` - If no method-type is given, the default will be `sip`.
- `options`
  - `c` - Returns an integer count of the number of NAPTRs of a certain RR type.
    Combination of `c` and Method-type of `ALL` will return a count of all NAPTRs for the record or -1 on error.
  - `u` - Returns the full URI and does not strip off the URI-scheme.
  - `s` - Triggers ISN specific rewriting.
  - `i` - Looks for branches into an Infrastructure ENUM tree.
  - `d` - for a direct DNS lookup without any flipping of digits.
- `record#` - If no record# is given, defaults to `1`.
- `zone-suffix` - If no zone-suffix is given, the default will be `e164.arpa`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538